import request from '@/utils/request'
/**
 * 事件延期相关接口
 */
// 申请延期
export function applyDelay(params) {
  return request({
    url: 'caseDelay/apply',
    method: 'post',
    params
  })
}

// 同意延期
export function approveDelay(id) {
  return request({
    url: 'caseDelay/approveDelay',
    method: 'post',
    params: {
      id: id
    }
  })
}

// 拒绝延期
export function rejectDelay(params) {
  return request({
    url: 'caseDelay/rejectDelay',
    method: 'post',
    params
  })
}

// 申请延期列表
export function applyList(params) {
  return request({
    url: 'caseDelay/applyList',
    method: 'get',
    params
  })
}

// 申请记录列表
export function delayList(params) {
  return request({
    url: 'caseDelay/delayList',
    method: 'get',
    params
  })
}

// 事件延期记录
export function delayRecords(caseId) {
  return request({
    url: 'caseDelay/records',
    method: 'get',
    params: {
      caseId: caseId
    }
  })
}

